/* 
 * Copyright (C) 2003 Loren Bandiera <lorenb@starchamber.ca>
 *
 * Sussen - about.c
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors: Loren Bandiera <lorenb@starchamber.ca>
 */
 
 /* Be clean and pure */
#define GNOME_DISABLE_DEPRECATED
#define GTK_DISABLE_DEPRECATED
#define G_DISABLE_DEPRECATED

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "sussen.h"
#include "sussen-about.h"

void on_about1_activate (GtkWidget *widget, gpointer user_data)
{
	static GtkWidget *win = NULL;
	GdkPixbuf *pixbuf;
  
	const gchar *authors[] = {
		"Loren Bandiera",
		NULL
	};

	const gchar *documentors[] = {
		NULL
	};

	const gchar *translator_credits = NULL;
  
	if (win != NULL) {
		gtk_window_present (GTK_WINDOW (win));
		return;
	}

	GError *pixerr = NULL;

	pixbuf = gdk_pixbuf_new_from_file (PACKAGE_PIXMAPS_DIR"/eye.png", &pixerr);
	win = gnome_about_new (_(PACKAGE), VERSION,
						"Copyright \xc2\xa9 2003 \n Star Chamber Inc.",
						_("Security Scanner"),
						authors, documentors, translator_credits, pixbuf);
	
	gtk_window_set_icon_from_file (GTK_WINDOW (win), PACKAGE_PIXMAPS_DIR"/eye.png", NULL);
	gtk_window_set_transient_for (GTK_WINDOW (win), GTK_WINDOW (main_window));
	gtk_window_set_destroy_with_parent (GTK_WINDOW (win), TRUE);
  
	g_object_add_weak_pointer (G_OBJECT (win), (gpointer) & win);
  
	gtk_window_present (GTK_WINDOW (win));
}
