/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * sussen - sussen-dbviewer.c
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */
 
#include "sussen.h"
#include "sussen-dbviewer.h"
#include "sussen-util.h"
#include <libgnomedb/libgnomedb.h>
#include <libgnomedb/gnome-db-browser.h>

GladeXML *xml;
GtkWidget *file_dialog;
GtkWidget *results_tree;
GtkListStore *results_store;

void on_dbviewer_quit (GtkWidget *widget, gpointer user_data) {
	
	GtkWidget *w;
	
	w = glade_xml_get_widget (xml, "sussen_dbbrowser");
	gnome_db_browser_set_connection (GNOME_DB_BROWSER(w), NULL);
	
	w = glade_xml_get_widget (xml, "database_viewer_dialog");
	gtk_widget_destroy (w);
}

void show_dbviewer (void) {
	
	GtkWidget *dialog;
	GtkWidget *w;
		
    xml = glade_xml_new (PACKAGE_DATA_DIR"/sussen.glade", "database_viewer_dialog", NULL);
	dialog = glade_xml_get_widget (xml, "database_viewer_dialog");
		
    glade_xml_signal_autoconnect (xml); 	
		
	/* destroy dialog on button press */
	w = glade_xml_get_widget (xml,"close_button");
	g_signal_connect_swapped (GTK_OBJECT (w),
							  "clicked", 
							  G_CALLBACK (on_dbviewer_quit),
							  NULL);
	

	
	w = glade_xml_get_widget (xml, "sussen_dbbrowser");
	gnome_db_browser_set_connection (GNOME_DB_BROWSER(w), sussen_be_connection);
	
	gtk_window_resize (GTK_WINDOW(dialog), 800, 600);	
}
