/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - sussen-fileio.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */
 
#ifndef __SUSSEN_FILEIO_H
#define __SUSSEN_FILEIO_H

void set_server_xml (GSList *list);
GSList* get_server_xml (void);
gchar* get_server_xml_filename (void);
gchar* get_backend_xml_filename (void);

GSList* get_reports_xml (void);
gchar* get_reports_xml_filename (void);

gchar* get_backend_xml (void);
void set_backend_xml(const gchar *dsn, const gchar *user, const gchar *pass);

void create_dot_sussen (void);
gchar *get_dot_sussen_path (void);
gboolean dot_sussen_there (void);

gint get_server_cert_hash (const gchar *sname, guchar *hash);
gint set_server_cert_hash (const gchar *sname, guchar *hash);

#endif
